OSM data for older Locus version

Started by Wandersleut, March 05, 2023, 13:30:47

0 Members and 1 Guest are viewing this topic.

Wandersleut

Hi,
I still have two BlackBerry (BB) Leap for navigation purposes. On them I am using Locus Ver 2.17. An update to a newer version is not possible, because:
- I have to download apk and start it on the BB (for newer only installable via playstore)
- in the background an older Android Version is running (5 ??). Newer Locus versions needs a newer Android version.
Because of several reasons, I want to stay with them and NOT to change the HW.
Meanwhile I have the following problem: The map version is increased at OSM data base and the newer one is not usable for the old Locus Version 2.17. Hence the maps from OSM could not be used any more.

Therefore the question: is it possible / is there any tool to downgrade the map version? Or is there any trick to import the newer maps into 2.17?

Any hint would be great!
  •  

Menion

Hi,
even the latest Locus Map still works on Android 5.0+. APK files of the latest app are available on our Google Drive here.
- Official help (ideas, questions, problems): help.locusmap.eu
- Advanced topics, sharing of knowledges: you're here!
- LM 4 Beta download, LM 4 Release download
  •  

Wandersleut

Many thanks for the link. I tried to install both: with and without "Afa".
But the result is everytime the same: "Parsing error":

       You cannot view this attachment.

Hence these versions could not be installed. Do you have an other idea?

I am using now the version 2.17.1, which is working absolutely fine. :)
... I have "only" the problem with the maps.

Hence both way ahead are fine: to install a newer version or to get maps, which are working with the availalbe one.
  •  

Wandersleut

Hi,
I tried older versions.

Result: up to (and incl.) version 3.37.2 could be installed on the BB. I tried the free version only.
The next version (3.50.1) are not accepted any more (not 3.50.1, 3.57.1, 3.60.2 nor 3.64.1).

This might help to find a way ahead (hope so to find one  ??? ).
  •  

Menion

Hello,
four years back ... sorry, I really do not remember what I've checked these days  :)

Anyway I'm surprised that the new version does not work because Android 5 is still supported.

---

So, back to the initial question. You are using older LoMaps, vector maps based on the MapsForge format? If I'm looking correctly, version 2.17 is from 08/2016. It is amazing that you still use it!! 7 years back, hmm it was probably format in version 2. This is not used already for many years and I think that generator for such old maps won't work anymore.

What about downloading tiled maps directly over the app or for example over an app called Mobac? With this, you may download raster maps in native Locus Map format so new maps may be used this way.

- Official help (ideas, questions, problems): help.locusmap.eu
- Advanced topics, sharing of knowledges: you're here!
- LM 4 Beta download, LM 4 Release download
  •  

Wandersleut

Hello Menion,

reason, why I am still using it: BB is not supported by playstore and therefore all updates has to be installed manually. The SW was still running, so why to make an update? :o
I will install version 3.37.2, wich is much newer as my present version.

I have no idea, why BB doesn't accept newer versions. In the www I found only that the parsing error is provided in case this apk doesn't fit with the android version. Details I don't know.
I was downloading OSM files xxx.map. But now with a version change of the map-file structure it is no working any more (still downloadable, but not more accepted by Locus).

I downloaded Mobac and installed it. During start of Mobac, I have to choose of the "atlas format". Which one might work?
  •  

Wandersleut

After trying I found out, that the maps from mapsforge.org are working.
Which format do I have to choose in Mobac? I tried several, but without any success :(
  •  

Menion

Hello,
in the Mobac should be a so-called "RMaps SQLite" format, so this is the best you may use.

And MapsForge maps, right this is a base app format, perfect.
- Official help (ideas, questions, problems): help.locusmap.eu
- Advanced topics, sharing of knowledges: you're here!
- LM 4 Beta download, LM 4 Release download
  •  
    The following users thanked this post: Wandersleut

Wandersleut

#8
Hello Menion,
I tried
- "RMaps SQlite"
- both Glopus formats (PNG&KAL and GMF)
- OziExplorer (should be same as MapsForge)
- OSMTracker
None of them are accepted by Glopus v 3.37.2.

Do you know how to get out of Mobac  (v2.3.1) the same format as could be downloaded from MapsForge? It is shown by Glopos as "VEC V2". In the meta data the "Projection" is "Mercator" (whatever this means).
Then I should be happy :)

Why not to use the MapsForge-Files? Quite simple: they are quite big. It would be great to use the relevant part only. Then the BB is much, much fast.

Update: "QMaps SQlite" is not accepted by Glopus as a map, but could be "imported". It seems to be a grafic file with a quite bad resolution - also when I add the zoom levels up to 15 in Mobac. In the highest zoom label the icons could NOT really be identified (what is what). Hence the goal is still to get a .map file similar to this from mapsforge.
  •  

balloni55

Hello
i´ve created a small map with old Mobac 1.9.10  Rmapsqlite and it is well displayed with LMC 3.66.0

https://www.dropbox.com/s/hn0fj5ebsznhb89/Custom%20Solitude.zip?dl=0

so unpack zip an store Custom Solitude.sqlitedb to your Locus  maps folder > restart LMC

Good luck
Wolfgang
LMC 3.70.0 AFA
Locus Map 4.21.1.1 Gold AFA
LMC User ID c8b19276f
LM4 User ID e06d572d4
  •  

Wandersleut

Hello balloni55,

I tried it in the following way:
- generate the "RMpas SQlite"-File with Mobac
- load it to the mobile device (here Blackberry)
- start Locus
- go to "menu", "maps" and try to use it. Result: not accepted.

How it works with my version:
- generate the "RMpas SQlite"-File with Mobac
- load it to the mobile device (here Blackberry)
- start Locus
- go to "menu", "further functions", "import" and try to use it. Result: as mentioned above: yes with low resulution (grafic file only ?!?).

Should I do something differently)
  •  

balloni55

LMC 3.70.0 AFA
Locus Map 4.21.1.1 Gold AFA
LMC User ID c8b19276f
LM4 User ID e06d572d4
  •  

Wandersleut

Hello balloni55,
I just tried your file.
Same: only "importable"
Grafikfile (resolution might be slight better, but "only" a grafik file :( )

Many thanks for this trail.
  •  

balloni55

I am not familiar with the BlackBerry
you have to copy the map to the Locus maps folder, not import it
LMC 3.70.0 AFA
Locus Map 4.21.1.1 Gold AFA
LMC User ID c8b19276f
LM4 User ID e06d572d4
  •  

Wandersleut

This should not depend on the HW. It should depend only on the Locus SW (and the version of it).
Yes, I put the file in the folder "maps" and with an other trail in the folder "mapsVector" with the same result: I is not show in the menu "maps". I can only use it when I am trying to "import" it.
  •